## javax.persistence
Interface EntityManagerFactory

    public interface EntityManagerFactory

Method Summary
`void` `close()`
`EntityManager` `createEntityManager()`
`EntityManager` `createEntityManager(java.util.Map map)`
`Cache` `getCache()`
`CriteriaBuilder` `getCriteriaBuilder()`
`Metamodel` `getMetamodel()`
`PersistenceUnitUtil` `getPersistenceUnitUtil()`
`java.util.Map<java.lang.String,java.lang.Object>` `getProperties()`
`boolean` `isOpen()`

Method Detail

### createEntityManager

    EntityManager createEntityManager()

### createEntityManager

    EntityManager createEntityManager(java.util.Map map)

### getCriteriaBuilder

    CriteriaBuilder getCriteriaBuilder()

### getMetamodel

    Metamodel getMetamodel()

### isOpen

    boolean isOpen()

### close

    void close()

### getProperties

    java.util.Map<java.lang.String,java.lang.Object> getProperties()

### getCache

    Cache getCache()

### getPersistenceUnitUtil

    PersistenceUnitUtil getPersistenceUnitUtil()